Hi fellow wiki editors!

To help newly registered users get more familiar with the wiki (and maybe older users too) there is now a {{Welcome to the wiki}} template. Have a look at it and feel free to add it to new users discussion pages (and perhaps your own).

I have tried to keep the template short, but meaningful. /Johan G

It/FGo!

From FlightGear wiki
Jump to: navigation, search
Nota  Update 03/2015: Please also see Integrated Qt5 Launcher for an integrated FlightGear GUI front-end based on Qt5, available in FlightGear 3.5+
FGo!
FGo 1.4 it.png
Developed by Robert 'erobo' Leda,
Florent Rougon
Initial release 0.9 (24.09.2009)
Latest release 1.5.5 (30.11.2014)
Written in Python
OS GNU/Linux, Windows
Development status Attivo (2009- )
License WTFPL
Website


FGo! è un programma semplice e veloce per avviare FlightGear mediante un'interfaccia grafica. È scritto in Python ed è strutturato in modo un po' diverso rispetto a tutti gli altri programmi analoghi, combinando una semplice interfaccia grafica, in cui l'utente può selezionare il velivolo, l'aeroporto, la pista, il parcheggio e animazioni particolari, con una finestra di testo in cui è possibile aggiungere delle opzioni a linea di comando più avanzate, le quali verranno trasmesse a FlightGear al momento dell'avvio. Queste caratteristiche permettono a FGo! di mantenere un impianto semplice ma potente.

Allo stato attuale di sviluppo il programma fornisce inoltre una casella di spunta per TerraSync, supporta diverse lingue, è in grado di gestire più di una directory contenente lo scenario e i velivoli e può accedere ai rapporti METAR. A partire dalla versione 1.5.0 è inoltre compatibile con FlightGear 3.0 e con il nuovo formato della sua banca dati, apt.dat.

FGo! è scaricabile dal sito ufficiale dell'autore. Un apposito thread è stato inoltre aperto sul forum ufficiale di FlightGear e viene utilizzato per le discussioni riguardanti il programma e per l'annuncio di nuove versioni. Tutte le informazioni necessarie per configurare e utilizzare FGo! sono disponibili nei file README. Il programma stesso fornisce inoltre dei suggerimenti, i quali possono essere visualizzati nella sezione "Impostazioni" muovendo il cursore del mouse sopra le varie opzioni.

Requisiti

  • Sistema operativo GNU/Linux (per Windows vedere il paragrafo seguente)
  • FlightGear
  • Python 2.7.8 [1]
  • TKinter
  • Python Imaging Library (PIL) 1.1.7 oppure Pillow (fork di PIL) 2.5.1 con il modulo ImageTk [2]
  • Tcl/Tk 8.6

I numeri di versione forniti qui sopra corrispondono alle versioni del software utilizzate per lo sviluppo. È molto probabile che FGo! funzioni correttamente anche con versioni precedenti (o successive), tuttavia con esse non è stato testato.

Installazione

Linux

FGo! non richiede un'installazione: è sufficiente estrarre l'archivio del programma dove si desidera, assicurandosi che il software necessario sia stato installato prima che il programma stesso venga avviato per la prima volta.

In Debian e nelle distribuzioni basate su Debian i seguenti pacchetti devono essere installati: python, python-tk, tcl8.x e tk8.x; a seconda della distribuzione è inoltre possibile installare python-imaging-tk, oppure python-pil.imagetk. Per un'installazione semplice, scegliere python-imaging-tk o python-pil.imagetk mediante il proprio gestore dei pacchetti preferito; tutte le dipendenze necessarie dovrebbero essere automaticamente selezionate.

Per Slackware e i sistemi compatibili è disponibile uno SlackBuild, scaricabile dal sito ufficale del progetto SlackBuilds.org, con cui è possibile generare, a partire dall'archivio originale di FGo!, un pacchetto che permette un'installazione del programma integrata nel sistema.

Windows

AVVERTENZA - Questo programma non è stato testato in modo approfondito su Windows, è perciò possibile che non funzioni nel modo previsto.

Per poter utilizzare FGo! con un sistema operativo Windows, scaricare e installare Python 2.7.8 e PIL-1.1.7, ossia le necessarie librerie e gli eseguibili di Python. Può anche essere utile rinominare il file eseguibile "fgo" (che si trova nella directory prinipale di FGo!) come "fgo.py": infatti è possibile che Windows, contrariamente a Linux, non sia in grado di riconoscerlo come programma scritto in Python.

Note

  1. FGo! è compatibile unicamente con Python 2.x.
  2. L'installazione di questa libreria non è obbligatoria per poter utilizzare FGo!, tuttavia senza di essa le miniature dei velivoli non verranno visualizzate.

Contenuti correlati